--global var
KChefTimeParty = false
KChefTimeRaid = true

local function print(msg)
	DEFAULT_CHAT_FRAME:AddMessage("KChefTime: " .. tostring(msg))
end

function KChefTimeFrame_OnEvent(self,event,...)
	if event == "READY_CHECK" and KChefTimeRaid == true or KChefTimeParty == true then
		KChefTime_Command()
	end
end

function KChefTimeFrame_OnLoad(self)
 	SlashCmdList["KChefTime"]=KChefTime_Command
	SLASH_KChefTime1, SLASH_KChefTime2="/KChef","/Chef"
	KChefTimeFrame:RegisterEvent("READY_CHECK")
	print("Loaded.  Use /KChef|/Chef [raid | party].")
	print("Raid or party switch toggles auto-checking on ready checks.")
end

function KChefTime_Command(Msg,Editbox)
	if Msg then Msg=strlower(Msg); end
	if Msg == "party" then
		KChefTimeParty = not KChefTimeParty
		if KChefTimeParty then
			print("Auto-checking ENABLED on PARTY Ready Checks.")
		else
			print("Auto-checking DISABLED on PARTY Ready Checks.")
		end
	elseif Msg == "raid" then
		KChefTimeRaid = not KChefTimeRaid
		if KChefTimeRaid then
			print("Auto-checking ENABLED on RAID Ready Checks.")
		else
			print("Auto-checking DISABLED on RAID Ready Checks.")
		end
	else
		local RaidCount = GetNumRaidMembers()
		local PartyCount = GetNumPartyMembers()
		local Count, Counter, Name, GroupCount, Unit, ExpirationTime
		local HungryPeople = ""
		local HungryCount = 0
		local FedPeople = ""
		local FedCount = 0
		if RaidCount > 0 then
			GroupCount = RaidCount
			Unit = "raid"
		elseif PartyCount > 0 then
			GroupCount = PartyCount
			Unit = "party"
		else
			GroupCount = 1
		end
		for Counter = 1, (GroupCount) do
			if GroupCount == 1 then
				_, _, _, _, _, _, ExpirationTime, _, _, _, _ = UnitBuff("player", "Well Fed")
				Name = GetUnitName("player")
			else
				_, _, _, _, _, _, ExpirationTime, _, _, _, _ = UnitBuff(Unit..Counter, "Well Fed")
				Name = GetUnitName(Unit..Counter)
			end
			if ExpirationTime then 
				FedCount = FedCount + 1
				if FedPeople ~= "" then FedPeople = FedPeople..", "; end
				FedPeople = FedPeople..Name.." ("..math.floor(((ExpirationTime-GetTime())/60)+1).." mins)"
			else
				HungryCount = HungryCount + 1
				if HungryPeople ~= "" then HungryPeople = HungryPeople..", "; end
				HungryPeople = HungryPeople..Name
			end
		end
		if GroupCount == 1 then
			if HungryCount == 0 then
				print("You're not in a raid or party stupid! However you are well fed.")
			else
				print("You're not in a raid or party stupid and your not well fed too!")
			end
		else
			if HungryCount == 0 then
				print("Everyone is Fed!")
			else
				if HungryCount == 1 then
					print("Only "..HungryPeople.." is hungry.")
				else
					print("There are "..HungryCount.." hungry people: "..HungryPeople..".")
				end
			end
			if FedCount == 0 then
				print("Everyone is Fed!")
			else
				if FedCount == 1 then
					print("Only "..FedPeople.." is well fed.")
				else
					print("There are "..FedCount.." well fed people: "..FedPeople..".")
				end
			end
		end
	end
end

